import { unmountRoot } from '@dark-engine/core';
import { render, roots } from '../render';
import { removeContent } from '../utils';
function createRoot(container) {
  return {
    render: element => render(element, container),
    unmount: () => unmount(container),
  };
}
function unmount(container) {
  const rootId = roots.get(container);
  unmountRoot(rootId);
  roots.delete(container);
  removeContent(container);
}
export { createRoot, unmount };
//# sourceMappingURL=create-root.js.map
